<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__capsense__data__structure" kind="group">
    <compoundname>group_capsense_data_structure</compoundname>
    <title>CapSense Data Structure</title>
    <innergroup refid="group__group__capsense__structures">CapSense Structures</innergroup>
    <innergroup refid="group__group__capsense__gesture__structures">Gesture Structures</innergroup>
    <briefdescription>
<para>The CapSense Data Structure organizes configuration parameters, input, and output data shared among different FW modules within the CapSense. </para>    </briefdescription>
    <detaileddescription>
<para>The key responsibilities of the Data Structure are as follows:<itemizedlist>
<listitem><para>The Data Structure is the only data container in the CapSense middleware.</para></listitem><listitem><para>It serves as storage for the configuration and the output data.</para></listitem><listitem><para>All CapSense modules use the data structure for the communication and data exchange.</para></listitem></itemizedlist>
</para><para>The CapSense Data Structure is a composite of several smaller structures (for global / common data, widget data, sensor data, and pin data). Furthermore, the data is split between RAM and Flash to achieve a reasonable balance between resources consumption and configuration / tuning flexibility at runtime and compile time. A graphical representation of the CapSense Data Structure is shown below.</para><para>Note that figure below shows a sample representation and documents the high-level design of the data structure, it does not include all the parameters and elements in each object.</para><para><image name="capsense_ds.png" type="html" width="800px">CapSense Data Structure</image>
 
</para><para>CapSense Data Structure does not perform error checking on the data written to CapSense Data Structure. It is the responsibility of application program to ensure register map rule are not violated while modifying the value of data field in CapSense Data Structure. </para>    </detaileddescription>
  </compounddef>
</doxygen>